import type { NobjcObject } from "objc-js";
import type { _NSController } from "../AppKit/NSController.js";
import type { _AMWorkflow } from "./AMWorkflow.js";
import type { _AMWorkflowControllerDelegate } from "./AMWorkflowControllerDelegate.js";
import type { _AMWorkflowView } from "./AMWorkflowView.js";
export declare class _AMWorkflowController extends _NSController {
    static alloc(): _AMWorkflowController;
    static new(): _AMWorkflowController;
    init(): _AMWorkflowController;
    run$(sender: NobjcObject): void;
    stop$(sender: NobjcObject): void;
    pause$(sender: NobjcObject): void;
    step$(sender: NobjcObject): void;
    reset$(sender: NobjcObject): void;
    workflow(): _AMWorkflow | null;
    setWorkflow$(value: _AMWorkflow | null): void;
    workflowView(): _AMWorkflowView | null;
    setWorkflowView$(value: _AMWorkflowView | null): void;
    /**
     * This property was previously "assign" in 10.12. It is now "weak" in 10.13 and above.
     */
    delegate(): _AMWorkflowControllerDelegate | null;
    setDelegate$(value: _AMWorkflowControllerDelegate | null): void;
    canRun(): boolean;
    running(): boolean;
    paused(): boolean;
}
